Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 526330 - sys-fs/zfs-0.6.3: missing alias for bashcomp
Summary: sys-fs/zfs-0.6.3: missing alias for bashcomp
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Richard Yao
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bashcomp2
  Show dependency tree
 
Reported: 2014-10-21 18:20 UTC by Michał Górny
Modified: 2019-08-18 00:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-21 18:20:50 UTC
* You should add zfs to the boot runlevel.
 * Problems with installed bash completions were found:
 * 
 * 	zpool: missing alias (symlink) for completed command.
 * 
 * For more details on installing bash-completions, please see:
 * https://wiki.gentoo.org/wiki/Bash/Installing_completion_files

Fix:

  bashcomp_alias zfs zpool

Also please remember to remove USE=bash-completion and install completions unconditionally.
Comment 1 Richard Yao gentoo-dev 2016-01-16 20:24:21 UTC
This was fixed in the newer ebuilds. I am going through my bug backlog and expect to update the older ones soon.
Comment 2 Georgy Yakovlev gentoo-dev 2019-08-18 00:53:07 UTC
looks fixed. closing.